## smplayer 18.10.0~ds0

=== debian/changelog ===
smplayer (18.10.0~ds0-1.lnd.7) UNRELEASED; urgency=medium

  * Release smplayer-18.10.0-1.lnd.7
  * 1. Fix audio playing problem.
  * 2. Fix playlist loading problem.
  * 3. Fix video stuck problem.
  * 4. Change settings for mips.

 -- jenkins <jenkins@loongson.cn>  Mon, 11 Jul 2022 19:00:24 +0800

smplayer (18.10.0~ds0-1.lnd.5) unstable; urgency=medium

  * Release smplayer-18.10.0-1.lnd.5

    1.vo and ao use default settings.
    2.set hwdec to vdpau.

    With above settings, smplayer will try to select hardware decoding
    fisrtly, if hardware decoding is not supported, then will fallback
    to software decoding.

 -- jenkins <jenkins@loongson.cn>  Wed, 01 Dec 2021 14:34:16 +0800

smplayer (18.10.0~ds0-1.lnd.4) unstable; urgency=medium

  * Add Chinese name (zh_CN)

 -- weng hongquan <wenghongquan@loongson.cn>  Wed, 22 Sep 2021 17:13:28 +0800

smplayer (18.10.0~ds0-1.lnd.3) unstable; urgency=medium

  [ Jin Bo ]
  * Gcc toolchain dosen't support _loongarch any more, so replace
    it with __loongarch__ to make below default configurations
    take effect again on loongarch platfrom.
    - set hw_dec = no.
    - set ffwmv3vdpau = false.
    - set vo = x11.
    - set threads = cores * 2 + 1.
    - set update_checker = false.

 -- Jin Bo <jinbo@loongson.cn>  Mon, 09 Aug 2021 16:52:28 +0800

smplayer (18.10.0~ds0-1.lnd.2) unstable; urgency=medium

  [ Jin Bo ]
  * Fix dependency to ensure that mpv is installed with smplayer.

 -- Jin Bo <jinbo@loongson.cn>  Thu, 27 May 2021 20:14:56 +0800

smplayer (18.10.0~ds0-1.lnd.1) unstable; urgency=medium

  [ zhou peng ]
  * Follow the Loongson version naming convention(*.lnd.1).

 -- Zhou Peng <zhoupeng@loongson.cn>  Thu, 1 Apri 2021 11:08:56 +0800

smplayer (18.10.0~ds0-5) unstable; urgency=medium

  [ zhou peng ]
  * Modify part of the default configuration on loongarch.
    - set hw_dec = no.
    - set ffwmv3vdpau = false.
    - set vo = x11.
    - set threads = cores * 2 + 1.

 -- Zhou Peng <zhoupeng@loongson.cn>  Sat, 20 Mar 2021 17:08:56 +0800

smplayer (18.10.0~ds0-4) unstable; urgency=medium

  [ Shiyou Yin ]
  * set default vo as xv on loongarch.

 -- Shiyou Yin <yinshiyou-hf@loongson.cn>  Thu, 07 Jan 2021 21:55:12 +0800

smplayer (18.10.0~ds0-3) unstable; urgency=medium

  [ Shiyou Yin ]
  * Add Settings for mips and loongarch.

 -- Shiyou Yin <yinshiyou-hf@loongson.cn>  Thu, 07 Jan 2021 21:55:12 +0800

smplayer (18.10.0~ds0-2) unstable; urgency=medium

  [ gxw ]
  * Merge patchs from branch origin/f21
    - Set default decode threads to cpu numbers
    - Set hwdec auto for mpv
    - Set default vo to vdpau
    - Set default ao to pulse
    - Enable mpeg4 hardware decoding by default
    - Disable auto upgrade check
    - Skip loop filter on videos which height is 720 of greater

 -- gxw <guxiwei-hf@loongson.cn>  Wed, 10 Sep 2020 15:16:04 +0800

smplayer (18.10.0~ds0-1) unstable; urgency=medium

  [ Alf Gaida ]
  * New upstream release
  * Added myself to uploaders
  * Patches reviewed
  * Bumped Standards-Version to 4.2.1, no changes needed
  * Improved d/rules:
    - Set language to C.UTF-8
    - Improved linker flags
    - Added override_dh_missing
    - Removed some extra licenses and not wished docs
  * Install the desktop files from debian/tmp
  * Added Files-Excluded: zlib to d/copyright
  * Removed no longer needed repack-scripts
  * Modified the watch file for the new repack
  * Added debian/upstream/metadata
  * Cleaned up d/copyright

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #916096)
   + Pass a cross qmake along.
   + Missing Build-Depends: qt5-qmake:native for lrelease.

  [ Mateusz Łukasik ]
  * Fix debian/gbp.conf.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Sat, 15 Dec 2018 17:31:04 +0100

=== debian/control ===
Source: smplayer
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Reinhard Tartler <siretart@tauware.de>,
 Mateusz Łukasik <mati75@linuxmint.pl>,
 Alf Gaida <agaida@siduction.org>
Build-Depends:
 debhelper (>= 11),
 qtbase5-dev (>= 5.1),
 qtbase5-private-dev,
 qt5-qmake,
 qt5-qmake:native,
 qtscript5-dev,
 qttools5-dev-tools,
 zlib1g-dev
Standards-Version: 4.2.1
Homepage: http://smplayer.sourceforge.net/
Vcs-Git: https://salsa.debian.org/multimedia-team/smplayer.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/smplayer

Package: smplayer
Architecture: any
Depends:
 mpv (>= 0.6.2),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 smplayer-themes,
 smplayer-l10n
Description: Complete front-end for MPlayer and mpv
 Qt5 front-end for mplayer and forks, with basic features like playing
 videos, DVDs, and VCDs to more advanced features like support
 for MPlayer filters and more. One of the most interesting features
 of SMPlayer: it remembers the settings of all files you play.
 So you start to watch a movie but you have to leave... don't
 worry, when you open that movie again it will resume at the same
 point you left it, and with the same settings: audio track,
 subtitles, volume...

Package: smplayer-l10n
Architecture: all
Section: localization
Depends:
 smplayer (>= ${source:Version}),
 ${misc:Depends}
Replaces:
 smplayer (<< 0.5.62), smplayer-translations (<< 14.3.0)
Breaks:
 smplayer-translations (<< 14.3.0)
Description: Complete front-end for MPlayer and mpv - translation files
 Qt5 front-end for mplayer and forks, with basic features like playing
 videos, DVDs, and VCDs to more advanced features like support
 for MPlayer filters and more. One of the most interesting features
 of SMPlayer: it remembers the settings of all files you play.
 So you start to watch a movie but you have to leave... don't
 worry, when you open that movie again it will resume at the same
 point you left it, and with the same settings: audio track,
 subtitles, volume...
 .
 This package contains translation files.

## smplayer 18.10.0

=== debian/changelog ===
smplayer (18.10.0-0.1~mx17+1) mx; urgency=medium

  * New upstream release:
    - The internal code for YouTube now supports resolutions up to 4K.
    - The support for age restricted videos has been fixed.

  * Disable automatic dbgsym packages.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 21 Oct 2018 13:25:57 -0700

smplayer (18.9.0-0.1~mx17+1) mx; urgency=medium

  * New upstream release:
    - Fix for YouTube.
    - (Experimental) New option in the Play menu: Cast to -> Smartphone/tablet.
      It displays a QR code that you can scan to play the video on your device.

  * Refresh 05-add-debian-hardening-flags.patch.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 20 Sep 2018 14:04:07 -0700

smplayer (18.6.0-0.1~mx17+1) mx; urgency=medium

  * New upstream release:
    - There's a new option in Preferences -> Playlist to choose the type of
      window for the playlist: dockable (as before) or just a normal window.
    - The library used by the web server for the chromecast feature has been
      updated. It looks like the old one had several vulnerabilities so it's
      recommended to update.
  * Drop 06-tryfixplaylist.patch; fixed upstream.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 23 Jun 2018 12:20:07 -0700

smplayer (18.5.0-0.1~mx17+1) mx; urgency=medium

  * New upstream release:
    - (Windows) A problem which might prevent SMPlayer to open filenames with
      unicode characters has been fixed.
    - Fix: the cursor keys should now work in the playlist.
    - Now it's possible to select which multimedia keys should be used as
      global shortcuts (Preferences -> Keyboard and mouse).
    - (Windows) It seems on some systems the multimedia key events are sent
      twice, making some keys (like volume mute or play/pause) almost unusable.
      This version tries to detect it and prevent it.
    - "opus" has been added to to the list of audio extensions.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 23 May 2018 12:02:32 -0700

smplayer (18.4.0-0.1~mx17+1) mx; urgency=medium

  * New upstream release:
    - Bugfix: the time displayed by a tooltip when the mouse is over the seekbar
      is now much more accurate.
    - There's now an option in Preferences -> Advanced to set the position of
      the OSD bar.
    - Now it's possible to turn off the use of the system native file dialog in
      Preferences -> Interface.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 01 May 2018 13:24:57 -0700

smplayer (18.3.0-0.1~mx17+1) mx; urgency=medium

  * New upstream release:
    - Possibility to search for subtitles using the hash and filename methods
      at the same time.
    - Fix a bug which prevented to play some YouTube URLs.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 27 Mar 2018 15:57:50 -0700

smplayer (18.2.2-0.1~mx17+1) mx; urgency=medium

  * New upstream release:
    - The option Open -> URL can now also load YouTube playlists.
    - New option in Preferences -> Subtitles to select the opacity of the
      background of the subtitles (available when the "border style" is set
      to "opaque box").
    - The options to select the preferred number of tracks for audio and
      subtitles are back.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 27 Feb 2018 13:55:23 -0800

smplayer (18.2.0-0.1~mx17+1) mx; urgency=medium

  * New upstream release:
    - Now it's possible to use a priority list of preferred languages for the
      audio and subtitles.
    - Adds support for YouTube playlists. In the playlist window, click
      in the Load/save icon, select "Load playlist from URL" and paste the URL
      of the YouTube playlist.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 31 Jan 2018 16:59:03 -0800

smplayer (18.1.0-0.1~mx17+1) mx; urgency=medium

  * New upstream release:
    - Fix Youtube playback.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 10 Jan 2018 13:52:56 -0800

smplayer (17.12.0-0.1~mx17+1) mx; urgency=medium

  * New upstream release:
    - Two new actions to take screenshots with or without subtitles (they only
      work when using mpv). Assigned by default to Ctrl+Shift+S and Ctrl+Alt+S.
    - New action which displays the filename in the OSD for 2 seconds. Assigned
      by default to Shift+O.
    - New option osd_bar_pos for smplayer.ini. It specifies the position of
      the OSD bar (0 = top, 100 = bottom).
    - The support for DVD menus has been removed. It never worked well and also
      mpv already removed support for it a long time ago.
    - The option to open an informative page after an upgrade has been removed.

  * Refresh 02-disable_updates.patch.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 31 Dec 2017 13:25:06 -0800

smplayer (17.11.2-0mx17+1) mx; urgency=medium

  * New upstream release:
    - A crash that may happen on KDE when the global menus
      are activated has been fixed.
    - Fix: SMPlayer won't cancel logout in KDE.
    - The seek function in the MPRIS2 code has been fixed.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 16 Nov 2017 12:52:03 -0800

smplayer (17.11.0-0mx15+1) mx; urgency=medium

  * New upstream release:
    - The video equalizer by software has been fixed.
    - The thumbnail generator is now more precise with short videos.
    - The audio quality of the audio equalizer has been improved.
    - The option "add black borders on fullscreen" has been fixed.
    - The option "AC3/DTS passthrough over S/PDIF" has been fixed.

  * Add Horizon, buster, and sid to distreleases to build with Qt 5.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 09 Nov 2017 11:03:11 -0800

smplayer (17.10.2-0mx15+1) mx; urgency=medium

  * New upstream release:

     Version 17.10.2
    - New option in Preferences -> Network to select the preferred quality for
      streaming sites such as DailyMotion, Vimeo and so on (all those which are
      handled by youtube-dl).
    - The audio equalizer is now disabled by default on Linux to prevent a
      no sound problem for users with old versions of mpv.


=== debian/control ===
Source: smplayer
Section: video
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Reinhard Tartler <siretart@tauware.de>,
 Maia Kozheva <sikon@ubuntu.com>,
 Mateusz Łukasik <mati75@linuxmint.pl>
Build-Depends:
 debhelper (>= 9),
 lsb-release,
 qtbase5-dev (>= 5.6) | libqt4-dev (>= 4.3),
 qtbase5-private-dev (>= 5.6) | libqt4-dev (>= 4.3),
 qt5-qmake (>= 5.6) | libqt4-dev (>= 4.3),
 qtscript5-dev (>= 5.6) | libqt4-dev (>= 4.3),
 qttools5-dev-tools (>= 5.6) | libqt4-dev (>= 4.3),
 zlib1g-dev
Standards-Version: 3.9.8
Homepage: http://smplayer.sourceforge.net/
Vcs-Git: https://anonscm.debian.org/pkg-multimedia/smplayer.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-multimedia/smplayer.git

Package: smplayer
Architecture: any
Depends:
 mpv (>= 0.6.2) | mplayer| mplayer2,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 smplayer-themes,
 smplayer-l10n
Description: complete front-end for MPlayer, MPlayer2 and mpv
 Qt front-end for mplayer and forks, with basic features like playing
 videos, DVDs, and VCDs, to more advanced features like support
 for MPlayer filters and more. One of the most interesting features
 of SMPlayer: it remembers the settings of all files you play.
 So you start to watch a movie but you have to leave... don't
 worry, when you open that movie again, it will resume at the same
 point you left it, and with the same settings: audio track,
 subtitles, volume...
 .
 The MX and MEPIS versions are built against Qt 4.

Package: smplayer-l10n
Architecture: all
Depends:
 smplayer (>= ${source:Version}),
 ${misc:Depends}
Replaces:
 smplayer (<< 0.5.62), smplayer-translations (<< 14.3.0)
Breaks: 
 smplayer-translations (<< 14.3.0)
Description: Complete front-end for MPlayer and forks - translation files
 Qt4 front-end for mplayer and forks, with basic features like playing
 videos, DVDs, and VCDs, to more advanced features like support
 for MPlayer filters and more. One of the most interesting features
 of SMPlayer: it remembers the settings of all files you play.
 So you start to watch a movie but you have to leave... don't
 worry, when you open that movie again, it will resume at the same
 point you left it, and with the same settings: audio track,
 subtitles, volume...
 .
 This package contains translation files.

=== debian/rules ===
#!/usr/bin/make -f

export REPACK_SH = $(CURDIR)/debian/repack.sh

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

QMAKE_OPTS = DEFINES+=NO_DEBUG_ON_CONSOLE
MAKE_OPTS  = PREFIX=/usr QMAKE=qmake LRELEASE=lrelease QMAKE_OPTS="$(QMAKE_OPTS)"

# Build with Qt 5 on newer releases, otherwise use Qt 4
distrelease := $(shell lsb_release -cs)
ifeq ($(distrelease),$(filter $(distrelease),stretch Horizon buster sid))
export QT_SELECT=5
endif

%:
	dh $@ --parallel

override_dh_auto_clean:
	[ ! -d src/.moc ] || $(RM) -r src/.moc
	[ ! -d src/.obj ] || $(RM) -r src/.obj
	[ ! -d src/.ui ] || $(RM) -r src/.ui
	[ ! -f src/Makefile ] || dh_auto_clean

override_dh_auto_build:
	dh_auto_build -- $(MAKE_OPTS) DOC_PATH=\\\"/usr/share/doc/smplayer\\\"

override_dh_auto_install:
	dh_auto_install -- $(MAKE_OPTS) DOC_PATH=/usr/share/doc/smplayer
	rm -f debian/tmp/usr/share/doc/smplayer/Copying.txt

override_dh_builddeb:
	dh_builddeb -- -Z xz

# Uncomment next two lines if building in Virtual Box
#override_dh_shlibdeps:
#	dh_shlibdeps -- -xvirtualbox-guest-x11 --ignore-missing-info

# Disable following if you want dbgsym packages
override_dh_strip:
	dh_strip --no-automatic-dbgsym

## smplayer 18.10.1.1

=== OBS/Makefile ===
# This Makefile creates some files necessary to build
# deb packages at build.opensuse.org

PACKAGE = smplayer
VERSION = 18.10.0
#DEPENDS = debhelper (>= 5), zlib1g-dev, qtbase5-dev, qt5-qmake, qtscript5-dev, qttools5-dev-tools, qt5-default, qtbase5-private-dev
DEPENDS = debhelper (>= 5), zlib1g-dev, libqt4-dev

DSC_FILE = $(PACKAGE).dsc
DEBIAN_FILE = debian.tar.gz

all: $(DEBIAN_FILE) $(DSC_FILE)

$(DEBIAN_FILE): Makefile
	svn export ../debian-orig debian
	mv debian/changelog-orig debian/changelog
	tar -cvzf $(DEBIAN_FILE) debian/

$(DSC_FILE): Makefile
	echo "Format: 1.0" > $(DSC_FILE)
	echo "Source: $(PACKAGE)" >> $(DSC_FILE)
	echo "Binary: $(PACKAGE)" >> $(DSC_FILE)
	echo "Architecture: any" >> $(DSC_FILE)
	echo "Version: $(VERSION)" >> $(DSC_FILE)
	echo "Maintainer: Ricardo Villalba <rvm@users.sourceforge.net>" >> $(DSC_FILE)
	echo "Standards-Version: 3.7.2" >> $(DSC_FILE)
	echo "Build-Depends: $(DEPENDS)" >> $(DSC_FILE)
	echo "DEBTRANSFORM-TAR: $(PACKAGE)-$(VERSION).tar.bz2" >> $(DSC_FILE)
	echo "DEBTRANSFORM-FILES-TAR: $(DEBIAN_FILE)" >> $(DSC_FILE)
	echo "DEBTRANSFORM-RELEASE: 1" >> $(DSC_FILE)

clean:
	- rm debian/*
	- rmdir debian
	- rm $(DEBIAN_FILE) $(DSC_FILE)

=== setup/translations/po_files/Makefile ===
all: amharic.po malay.po french.po hungarian.po basque.po danish.po simpchinese.po finnish.po norwegian_nn.po norwegian_nb.po hebrew.po russian.po croatian.po romanian.po portuguese.po czech.po arabic.po thai.po portuguesebrazil.po albanian.po dutch.po galician.po ukrainian.po serbian.po bulgarian.po slovak.po spanish.po indonesian.po italian.po tradchinese.po korean.po farsi.po greek.po japanese.po german.po vietnamese.po catalan.po slovenian.po polish.po turkish.po 

amharic.po: english.pot
	msgmerge -F -U -N --backup=numbered amharic.po english.pot

malay.po: english.pot
	msgmerge -F -U -N --backup=numbered malay.po english.pot

french.po: english.pot
	msgmerge -F -U -N --backup=numbered french.po english.pot

hungarian.po: english.pot
	msgmerge -F -U -N --backup=numbered hungarian.po english.pot

basque.po: english.pot
	msgmerge -F -U -N --backup=numbered basque.po english.pot

danish.po: english.pot
	msgmerge -F -U -N --backup=numbered danish.po english.pot

simpchinese.po: english.pot
	msgmerge -F -U -N --backup=numbered simpchinese.po english.pot

finnish.po: english.pot
	msgmerge -F -U -N --backup=numbered finnish.po english.pot

norwegian_nn.po: english.pot
	msgmerge -F -U -N --backup=numbered norwegian_nn.po english.pot

norwegian_nb.po: english.pot
	msgmerge -F -U -N --backup=numbered norwegian_nb.po english.pot

hebrew.po: english.pot
	msgmerge -F -U -N --backup=numbered hebrew.po english.pot

russian.po: english.pot
	msgmerge -F -U -N --backup=numbered russian.po english.pot

croatian.po: english.pot
	msgmerge -F -U -N --backup=numbered croatian.po english.pot

romanian.po: english.pot
	msgmerge -F -U -N --backup=numbered romanian.po english.pot

portuguese.po: english.pot
	msgmerge -F -U -N --backup=numbered portuguese.po english.pot

czech.po: english.pot
	msgmerge -F -U -N --backup=numbered czech.po english.pot

arabic.po: english.pot
	msgmerge -F -U -N --backup=numbered arabic.po english.pot

thai.po: english.pot
	msgmerge -F -U -N --backup=numbered thai.po english.pot

portuguesebrazil.po: english.pot
	msgmerge -F -U -N --backup=numbered portuguesebrazil.po english.pot

albanian.po: english.pot
	msgmerge -F -U -N --backup=numbered albanian.po english.pot

dutch.po: english.pot
	msgmerge -F -U -N --backup=numbered dutch.po english.pot

galician.po: english.pot
	msgmerge -F -U -N --backup=numbered galician.po english.pot

ukrainian.po: english.pot
	msgmerge -F -U -N --backup=numbered ukrainian.po english.pot

serbian.po: english.pot
	msgmerge -F -U -N --backup=numbered serbian.po english.pot

bulgarian.po: english.pot
	msgmerge -F -U -N --backup=numbered bulgarian.po english.pot

slovak.po: english.pot
	msgmerge -F -U -N --backup=numbered slovak.po english.pot

spanish.po: english.pot
	msgmerge -F -U -N --backup=numbered spanish.po english.pot

indonesian.po: english.pot
	msgmerge -F -U -N --backup=numbered indonesian.po english.pot

italian.po: english.pot
	msgmerge -F -U -N --backup=numbered italian.po english.pot

tradchinese.po: english.pot
	msgmerge -F -U -N --backup=numbered tradchinese.po english.pot

korean.po: english.pot
	msgmerge -F -U -N --backup=numbered korean.po english.pot

farsi.po: english.pot
	msgmerge -F -U -N --backup=numbered farsi.po english.pot

greek.po: english.pot
	msgmerge -F -U -N --backup=numbered greek.po english.pot

japanese.po: english.pot
	msgmerge -F -U -N --backup=numbered japanese.po english.pot

german.po: english.pot
	msgmerge -F -U -N --backup=numbered german.po english.pot

vietnamese.po: english.pot
	msgmerge -F -U -N --backup=numbered vietnamese.po english.pot

catalan.po: english.pot
	msgmerge -F -U -N --backup=numbered catalan.po english.pot

slovenian.po: english.pot
	msgmerge -F -U -N --backup=numbered slovenian.po english.pot

polish.po: english.pot
	msgmerge -F -U -N --backup=numbered polish.po english.pot

turkish.po: english.pot
	msgmerge -F -U -N --backup=numbered turkish.po english.pot

clean:
	-rm *~

=== debian/changelog ===
smplayer (18.10.1.1-1+deepin+rb2) UNRELEASED; urgency=medium

  * update

 -- Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>  Fri, 22 Jan 2021 12:22:26 +0800

smplayer (18.10.1.1-1+deepin) unstable; urgency=low

  * ['Autobuild release-candidate: cb281e644c356bcad79adeb5949aa0f1d35f34ad']

 -- shuttle <shuttle@deepin.com>  Mon, 10 Feb 2020 22:12:11 +0000

=== debian/control ===
Source: smplayer
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Reinhard Tartler <siretart@tauware.de>,
 Mateusz Łukasik <mati75@linuxmint.pl>,
 Alf Gaida <agaida@siduction.org>
Build-Depends:
 debhelper (>= 11),
 qtbase5-dev (>= 5.1),
 qtbase5-private-dev,
 qt5-qmake,
 qt5-qmake:native,
 qtscript5-dev,
 qttools5-dev-tools,
 zlib1g-dev
Standards-Version: 4.2.1
Homepage: http://smplayer.sourceforge.net/
Vcs-Git: https://salsa.debian.org/multimedia-team/smplayer.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/smplayer

Package: smplayer
Architecture: any
Depends:
 mpv (>= 0.6.2) | mplayer,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 smplayer-themes,
 smplayer-l10n
Description: Complete front-end for MPlayer and mpv
 Qt5 front-end for mplayer and forks, with basic features like playing
 videos, DVDs, and VCDs to more advanced features like support
 for MPlayer filters and more. One of the most interesting features
 of SMPlayer: it remembers the settings of all files you play.
 So you start to watch a movie but you have to leave... don't
 worry, when you open that movie again it will resume at the same
 point you left it, and with the same settings: audio track,
 subtitles, volume...

Package: smplayer-l10n
Architecture: all
Section: localization
Depends:
 smplayer (>= ${source:Version}),
 ${misc:Depends}
Replaces:
 smplayer (<< 0.5.62), smplayer-translations (<< 14.3.0)
Breaks:
 smplayer-translations (<< 14.3.0)
Description: Complete front-end for MPlayer and mpv - translation files
 Qt5 front-end for mplayer and forks, with basic features like playing
 videos, DVDs, and VCDs to more advanced features like support
 for MPlayer filters and more. One of the most interesting features
 of SMPlayer: it remembers the settings of all files you play.
 So you start to watch a movie but you have to leave... don't
 worry, when you open that movie again it will resume at the same
 point you left it, and with the same settings: audio track,
 subtitles, volume...
 .
 This package contains translation files.

## smplayer 19.1.0

=== debian/changelog ===
smplayer (19.1.0-0.1~mx15+1) mx; urgency=medium

  * New upstream release.
  * Refresh 09-use-https.patch.
  * debian/control and rules: 
    - build with Qt 4 if on Jessie base, Qt5 if newer.
    - make themes and translations dependencies instead of recommends.
    - disable automatic dbgsym packages
    - change dh_missing override to dh_install for debhelper 10 compat.
  * Revert back to debhelper 10 compat to ease backports.
  * debian/copyright: update year.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 23 Mar 2019 23:13:02 -0700

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk

ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
QMAKE=qmake
else
QMAKE=$(DEB_HOST_GNU_TYPE)-qmake
endif

# Build with Qt 5 on newer releases, otherwise use Qt 4
distrelease := $(shell lsb_release -cs)
ifeq ($(distrelease),$(filter $(distrelease),stretch Horizon Continuum buster sid))
export QT_SELECT=5
endif

QMAKE_OPTS = DEFINES+=NO_DEBUG_ON_CONSOLE DEFINES-=MPLAYER2_SUPPORT
MAKE_OPTS  = PREFIX=/usr QMAKE=qmake LRELEASE=lrelease QMAKE_OPTS="$(QMAKE_OPTS)"

%:
	dh $@

override_dh_auto_clean:
	[ ! -d src/.moc ] || $(RM) -r src/.moc
	[ ! -d src/.obj ] || $(RM) -r src/.obj
	[ ! -d src/.ui ] || $(RM) -r src/.ui
	[ ! -f src/Makefile ] || dh_auto_clean

override_dh_auto_build:
	dh_auto_build -- $(MAKE_OPTS) DOC_PATH=\\\"/usr/share/doc/smplayer\\\"

override_dh_auto_install:
	dh_auto_install -- $(MAKE_OPTS) DOC_PATH=/usr/share/doc/smplayer
	$(RM) -f debian/tmp/usr/share/doc/smplayer/Copying_BSD.txt
	$(RM) -f debian/tmp/usr/share/doc/smplayer/Copying.txt
	$(RM) -f debian/tmp/usr/share/doc/smplayer/*/gpl.html
	$(RM) -f debian/tmp/usr/share/doc/smplayer/Finding_subtitles.txt
	$(RM) -f debian/tmp/usr/share/doc/smplayer/Portable_Edition.txt
	$(RM) -f debian/tmp/usr/share/doc/smplayer/Watching_TV.txt
	$(RM) -f debian/tmp/usr/share/doc/smplayer/Readme.txt
	$(RM) -f debian/tmp/usr/share/doc/smplayer/Install.txt
	$(RM) -f debian/tmp/usr/share/doc/smplayer/Not_so_obvious_things.txt
	$(RM) -f debian/tmp/usr/share/doc/smplayer/dvdmenus.txt
	$(RM) -f debian/tmp/usr/share/doc/smplayer/Copying_libmaia.txt
	$(RM) -f debian/tmp/usr/share/doc/smplayer/Changelog
	$(RM) -f debian/tmp/usr/share/doc/smplayer/Release_notes.txt
	$(RM) -f debian/tmp/usr/share/doc/smplayer/Copying_openssl.txt

override_dh_install:
	dh_install --fail-missing

# Uncomment next two lines if building in Virtual Box
#override_dh_shlibdeps:
#	dh_shlibdeps -- -xvirtualbox-guest-x11 --ignore-missing-info

# Disable following if you want dbgsym packages
override_dh_strip:
	dh_strip --no-automatic-dbgsym

## smplayer 19.5.0

=== OBS/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # deb packages at build.opensuse.org
 
 PACKAGE = smplayer
-VERSION = 18.10.0
+VERSION = 19.5.0
 #DEPENDS = debhelper (>= 5), zlib1g-dev, qtbase5-dev, qt5-qmake, qtscript5-dev, qttools5-dev-tools, qt5-default, qtbase5-private-dev
 DEPENDS = debhelper (>= 5), zlib1g-dev, libqt4-dev

=== debian/changelog ===
smplayer (19.5.0-0.1~mx19+1) mx; urgency=medium

  * New upstream release:  
    - Fix for YouTube.
    - Fix YouTube live streams (works only with mpv).
    - New actions available for previous subtitle track, previous audio track,
      and previous video track.
    - New command line option -start.

  * Refresh 09-use-https.patch.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 29 Jul 2019 13:30:25 -0700

smplayer (19.1.0-0.1~mx17+1) mx; urgency=medium

  * New upstream release.
  * Refresh 09-use-https.patch.
  * debian/control and rules: 
    - build with Qt 4 if on Jessie base, Qt5 if newer.
    - make themes and translations dependencies instead of recommends.
    - disable automatic dbgsym packages
    - change dh_missing override to dh_install for debhelper 10 compat.
  * Revert back to debhelper 10 compat to ease backports.
  * debian/copyright: update year.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 23 Mar 2019 23:13:02 -0700

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: smplayer
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Reinhard Tartler <siretart@tauware.de>,
  Mateusz Łukasik <mati75@linuxmint.pl>,
  Alf Gaida <agaida@siduction.org>
 Build-Depends:
- debhelper (>= 11),
- qtbase5-dev (>= 5.1),
- qtbase5-private-dev,
- qt5-qmake,
- qt5-qmake:native,
- qtscript5-dev,
- qttools5-dev-tools,
+ debhelper (>= 10~),
+ lsb-release,
+ qtbase5-dev (>= 5.6) | libqt4-dev (>= 4.3),
+ qtbase5-private-dev (>= 5.6) | libqt4-dev (>= 4.3),
+ qt5-qmake (>= 5.6) | libqt4-dev (>= 4.3),
+ qtscript5-dev (>= 5.6) | libqt4-dev (>= 4.3),
+ qttools5-dev-tools (>= 5.6) | libqt4-dev (>= 4.3),
  zlib1g-dev
 Standards-Version: 4.2.1
 Homepage: http://smplayer.sourceforge.net/
@@ -25,8 +26,7 @@
 Depends:
  mpv (>= 0.6.2) | mplayer,
  ${misc:Depends},
- ${shlibs:Depends}
-Recommends:
+ ${shlibs:Depends},
  smplayer-themes,
  smplayer-l10n
 Description: Complete front-end for MPlayer and mpv

## smplayer 19.10.0

=== debian/changelog ===
smplayer (19.10.0-0.1~mx19+1) mx; urgency=medium

  * New upstream release:
    - Fix for YouTube.
    - Fix control when using mpv 0.30.

  * Refresh 09-use-https.patch.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 01 Nov 2019 14:20:06 -0700

## smplayer 19.10.2~ds0

=== Makefile ===

PREFIX=/usr/local
#PREFIX=/tmp/smplayer

CONF_PREFIX=$(PREFIX)

DATA_PATH=$(PREFIX)/share/smplayer
DOC_PATH=$(PREFIX)/share/doc/packages/smplayer
TRANSLATION_PATH=$(PREFIX)/share/smplayer/translations
THEMES_PATH=$(PREFIX)/share/smplayer/themes
SHORTCUTS_PATH=$(PREFIX)/share/smplayer/shortcuts

ICONS_DIR=$(PREFIX)/share/icons/hicolor/
APPLNK_DIR=$(PREFIX)/share/applications/

QMAKE=qmake
LRELEASE=lrelease

DEFS=DATA_PATH=\\\"$(DATA_PATH)\\\" \
     TRANSLATION_PATH=\\\"$(TRANSLATION_PATH)\\\" \
     DOC_PATH=\\\"$(DOC_PATH)\\\" THEMES_PATH=\\\"$(THEMES_PATH)\\\" \
     SHORTCUTS_PATH=\\\"$(SHORTCUTS_PATH)\\\"

all: src/smplayer webserver/simple_web_server

src/smplayer:
	./get_svn_revision.sh
	+cd src && $(QMAKE) $(QMAKE_OPTS) && $(DEFS) make
	cd src && $(LRELEASE) smplayer.pro

webserver/simple_web_server:
	cd webserver && make

clean:
	if [ -f src/Makefile ]; then cd src && make distclean; fi
	-rm src/translations/smplayer_*.qm
	-rm webserver/simple_web_server

install: all
	-install -d $(DESTDIR)$(PREFIX)/bin/
	install -m 755 src/smplayer $(DESTDIR)$(PREFIX)/bin/
	-install -d $(DESTDIR)$(DATA_PATH)
	install -m 644 src/input.conf $(DESTDIR)$(DATA_PATH)
	-install -d $(DESTDIR)$(TRANSLATION_PATH)
	install -m 644 src/translations/*.qm $(DESTDIR)$(TRANSLATION_PATH)
	-install -d $(DESTDIR)$(DOC_PATH)
	install -m 644 Changelog *.txt $(DESTDIR)$(DOC_PATH)

	install -m 755 webserver/simple_web_server $(DESTDIR)$(PREFIX)/bin/

	-install -d $(DESTDIR)$(DOC_PATH)
	tar -C docs/ --exclude=.svn -c -f - . | tar -C $(DESTDIR)$(DOC_PATH) -x -f -

	-install -d $(DESTDIR)$(SHORTCUTS_PATH)
	cp src/shortcuts/* $(DESTDIR)$(SHORTCUTS_PATH)

#	-install -d $(DESTDIR)$(THEMES_PATH)
#	-tar -C src/themes/ --exclude=.svn -c -f - . | tar -C $(DESTDIR)$(THEMES_PATH) -x -f -

	-install -d $(DESTDIR)$(ICONS_DIR)/512x512/apps/
	-install -d $(DESTDIR)$(ICONS_DIR)/256x256/apps/
	-install -d $(DESTDIR)$(ICONS_DIR)/192x192/apps/
	-install -d $(DESTDIR)$(ICONS_DIR)/128x128/apps/
	-install -d $(DESTDIR)$(ICONS_DIR)/64x64/apps/
	-install -d $(DESTDIR)$(ICONS_DIR)/32x32/apps/
	-install -d $(DESTDIR)$(ICONS_DIR)/22x22/apps/
	-install -d $(DESTDIR)$(ICONS_DIR)/16x16/apps/
	-install -d $(DESTDIR)$(ICONS_DIR)/scalable/apps/
	install -m 644 icons/smplayer_icon512.png $(DESTDIR)$(ICONS_DIR)/512x512/apps/smplayer.png
	install -m 644 icons/smplayer_icon256.png $(DESTDIR)$(ICONS_DIR)/256x256/apps/smplayer.png
	install -m 644 icons/smplayer_icon192.png $(DESTDIR)$(ICONS_DIR)/192x192/apps/smplayer.png
	install -m 644 icons/smplayer_icon128.png $(DESTDIR)$(ICONS_DIR)/128x128/apps/smplayer.png
	install -m 644 icons/smplayer_icon64.png $(DESTDIR)$(ICONS_DIR)/64x64/apps/smplayer.png
	install -m 644 icons/smplayer_icon32.png $(DESTDIR)$(ICONS_DIR)/32x32/apps/smplayer.png
	install -m 644 icons/smplayer_icon22.png $(DESTDIR)$(ICONS_DIR)/22x22/apps/smplayer.png
	install -m 644 icons/smplayer_icon16.png $(DESTDIR)$(ICONS_DIR)/16x16/apps/smplayer.png
	install -m 644 icons/smplayer.svg $(DESTDIR)$(ICONS_DIR)/scalable/apps/smplayer.svg
	-install -d $(DESTDIR)$(APPLNK_DIR)
	install -m 644 smplayer.desktop $(DESTDIR)$(APPLNK_DIR)
	install -m 644 smplayer_enqueue.desktop $(DESTDIR)$(APPLNK_DIR)
	-install -d $(DESTDIR)$(PREFIX)/share/man/man1/
	install -m 644 man/smplayer.1 $(DESTDIR)$(PREFIX)/share/man/man1/
	gzip -9 -f $(DESTDIR)$(PREFIX)/share/man/man1/smplayer.1

uninstall:
	-rm -f $(PREFIX)/bin/smplayer
	-rm -f $(DATA_PATH)/input.conf
	-rm -f $(TRANSLATION_PATH)/*.qm
	-rm -f $(DOC_PATH)/Changelog
	-rm -f $(DOC_PATH)/*.txt
	-rm -f $(SHORTCUTS_PATH)/*.keys
	-rm -f $(ICONS_DIR)/64x64/apps/smplayer.png
	-rm -f $(ICONS_DIR)/32x32/apps/smplayer.png
	-rm -f $(ICONS_DIR)/22x22/apps/smplayer.png
	-rm -f $(ICONS_DIR)/16x16/apps/smplayer.png
	-rm -f $(APPLNK_DIR)/smplayer.desktop
	-rm -f $(PREFIX)/share/man/man1/smplayer.1.gz
	-rmdir $(SHORTCUTS_PATH)/
	-rmdir $(TRANSLATION_PATH)/
#	-for file in docs/*/*; do \
#	    rm -f $(DOC_PATH)/$${file/docs/}; \
#	done;
#	-for file in docs/*; do \
#	    rmdir $(DOC_PATH)/$${file/docs/}; \
#	done;
	-(cd docs && find -iname '*.html') | (cd $(DESTDIR)$(DOC_PATH) && xargs rm)
	-(cd docs && find -type d -name '??') | (cd $(DESTDIR)$(DOC_PATH) && xargs rmdir)
	-rmdir $(DOC_PATH)/
	-rmdir $(DATA_PATH)/

=== OBS/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # deb packages at build.opensuse.org
 
 PACKAGE = smplayer
-VERSION = 19.5.0
+VERSION = 19.10.2
 #DEPENDS = debhelper (>= 5), zlib1g-dev, qtbase5-dev, qt5-qmake, qtscript5-dev, qttools5-dev-tools, qt5-default, qtbase5-private-dev
 DEPENDS = debhelper (>= 5), zlib1g-dev, libqt4-dev

=== debian/changelog ===
smplayer (19.10.2~ds0-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:25:49 +0100

smplayer (19.10.2~ds0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Alf Gaida ]
  * New upstream release
  * Bumped debhelper-compat to 12, no changes needed
  * Bumped Standards-Version to 4.4.0, no changes needed
  * Bumped years in copyright to 2019
  * Reviewed patches, reworked 09-use-https.patch

  [ Mateusz Łukasik ]
  * New upstream release. (Closes: #943993 #945595)
  * d/rules: Add missing entry. (Closes: #916096)
  * d/control: add Rules-Requires-Root

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Tue, 10 Dec 2019 20:00:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,33 @@
 Source: smplayer
 Section: video
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Reinhard Tartler <siretart@tauware.de>,
  Mateusz Łukasik <mati75@linuxmint.pl>,
  Alf Gaida <agaida@siduction.org>
 Build-Depends:
- debhelper (>= 10~),
- lsb-release,
- qtbase5-dev (>= 5.6) | libqt4-dev (>= 4.3),
- qtbase5-private-dev (>= 5.6) | libqt4-dev (>= 4.3),
- qt5-qmake (>= 5.6) | libqt4-dev (>= 4.3),
- qtscript5-dev (>= 5.6) | libqt4-dev (>= 4.3),
- qttools5-dev-tools (>= 5.6) | libqt4-dev (>= 4.3),
+ debhelper-compat (= 12),
+ qtbase5-dev (>= 5.1),
+ qtbase5-private-dev,
+ qt5-qmake,
+ qt5-qmake:native,
+ qtscript5-dev,
+ qttools5-dev-tools,
  zlib1g-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Homepage: http://smplayer.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/multimedia-team/smplayer.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/smplayer
+Rules-Requires-Root: no
 
 Package: smplayer
 Architecture: any
 Depends:
  mpv (>= 0.6.2) | mplayer,
  ${misc:Depends},
- ${shlibs:Depends},
+ ${shlibs:Depends}
+Recommends:
  smplayer-themes,
  smplayer-l10n
 Description: Complete front-end for MPlayer and mpv
@@ -46,7 +47,8 @@
  smplayer (>= ${source:Version}),
  ${misc:Depends}
 Replaces:
- smplayer (<< 0.5.62), smplayer-translations (<< 14.3.0)
+ smplayer (<< 0.5.62),
+ smplayer-translations (<< 14.3.0)
 Breaks:
  smplayer-translations (<< 14.3.0)
 Description: Complete front-end for MPlayer and mpv - translation files

## smplayer 19.10.2

=== debian/changelog ===
smplayer (19.10.2-0.1~mx19+1) mx; urgency=medium

  * New upstream release:
    - Fix compiling the web server on 32 bit with gcc 9.2.0.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 20 Nov 2019 19:20:21 -0800

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,32 @@
 Source: smplayer
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Reinhard Tartler <siretart@tauware.de>,
  Mateusz Łukasik <mati75@linuxmint.pl>,
  Alf Gaida <agaida@siduction.org>
 Build-Depends:
- debhelper-compat (= 12),
- qtbase5-dev (>= 5.1),
- qtbase5-private-dev,
- qt5-qmake,
- qt5-qmake:native,
- qtscript5-dev,
- qttools5-dev-tools,
+ debhelper (>= 10~),
+ lsb-release,
+ qtbase5-dev (>= 5.6),
+ qtbase5-private-dev (>= 5.6),
+ qt5-qmake (>= 5.6),
+ qtscript5-dev (>= 5.6),
+ qttools5-dev-tools (>= 5.6),
  zlib1g-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.2.1
 Homepage: http://smplayer.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/multimedia-team/smplayer.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/smplayer
-Rules-Requires-Root: no
 
 Package: smplayer
 Architecture: any
 Depends:
  mpv (>= 0.6.2) | mplayer,
  ${misc:Depends},
- ${shlibs:Depends}
-Recommends:
+ ${shlibs:Depends},
  smplayer-themes,
  smplayer-l10n
 Description: Complete front-end for MPlayer and mpv
@@ -47,8 +46,7 @@
  smplayer (>= ${source:Version}),
  ${misc:Depends}
 Replaces:
- smplayer (<< 0.5.62),
- smplayer-translations (<< 14.3.0)
+ smplayer (<< 0.5.62), smplayer-translations (<< 14.3.0)
 Breaks:
  smplayer-translations (<< 14.3.0)
 Description: Complete front-end for MPlayer and mpv - translation files

=== debian/rules ===
--- 
+++ 
@@ -12,11 +12,7 @@
 QMAKE=$(DEB_HOST_GNU_TYPE)-qmake
 endif
 
-# Build with Qt 5 on newer releases, otherwise use Qt 4
-distrelease := $(shell lsb_release -cs)
-ifeq ($(distrelease),$(filter $(distrelease),stretch Horizon Continuum buster sid))
 export QT_SELECT=5
-endif
 
 QMAKE_OPTS = DEFINES+=NO_DEBUG_ON_CONSOLE DEFINES-=MPLAYER2_SUPPORT
 MAKE_OPTS  = PREFIX=/usr QMAKE=qmake LRELEASE=lrelease QMAKE_OPTS="$(QMAKE_OPTS)"

## smplayer 20.4.2~ds0

=== OBS/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # deb packages at build.opensuse.org
 
 PACKAGE = smplayer
-VERSION = 19.10.2
+VERSION = 20.4.2
 #DEPENDS = debhelper (>= 5), zlib1g-dev, qtbase5-dev, qt5-qmake, qtscript5-dev, qttools5-dev-tools, qt5-default, qtbase5-private-dev
 DEPENDS = debhelper (>= 5), zlib1g-dev, libqt4-dev

=== debian/changelog ===
smplayer (20.4.2~ds0-0.2~mx19+1) mx; urgency=medium

  * Refresh 09-use-https.patch.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 30 Apr 2020 12:27:24 -0700

smplayer (20.4.2~ds0-0.1~mx19+1) mx; urgency=medium

  * New upstream release:
    - Fix for YouTube.
    - Possibility to enter the opensubtitles.org credentials to prevent
      a login error.
    - Now it's possible to search for shortcuts in Preferences -> Keyboard.
    - Support for mpv 0.32.

  * Update debian/copyright to 2020.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 29 Apr 2020 08:40:47 -0700

## smplayer 20.6.0~ds0

=== OBS/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # deb packages at build.opensuse.org
 
 PACKAGE = smplayer
-VERSION = 20.4.2
+VERSION = 20.6.0
 #DEPENDS = debhelper (>= 5), zlib1g-dev, qtbase5-dev, qt5-qmake, qtscript5-dev, qttools5-dev-tools, qt5-default, qtbase5-private-dev
 DEPENDS = debhelper (>= 5), zlib1g-dev, libqt4-dev

=== debian/changelog ===
smplayer (20.6.0~ds0-1) unstable; urgency=medium

  * New upstream release.
    + Update and refresh patches.
  * Bumped Standards-Version to 4.5.0, no changes needed
  * Add debian/patches/10_drop_DONATE_REMINDER.patch:
    - drop donate reminder. (Closes: #964359)

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Thu, 13 Aug 2020 12:25:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,33 @@
 Source: smplayer
 Section: video
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Reinhard Tartler <siretart@tauware.de>,
  Mateusz Łukasik <mati75@linuxmint.pl>,
  Alf Gaida <agaida@siduction.org>
 Build-Depends:
- debhelper (>= 10~),
- lsb-release,
- qtbase5-dev (>= 5.6),
- qtbase5-private-dev (>= 5.6),
- qt5-qmake (>= 5.6),
- qtscript5-dev (>= 5.6),
- qttools5-dev-tools (>= 5.6),
+ debhelper-compat (= 13),
+ qtbase5-dev (>= 5.1),
+ qtbase5-private-dev,
+ qt5-qmake,
+ qt5-qmake:native,
+ qtscript5-dev,
+ qttools5-dev-tools,
  zlib1g-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Homepage: http://smplayer.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/multimedia-team/smplayer.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/smplayer
+Rules-Requires-Root: no
 
 Package: smplayer
 Architecture: any
 Depends:
  mpv (>= 0.6.2) | mplayer,
  ${misc:Depends},
- ${shlibs:Depends},
+ ${shlibs:Depends}
+Recommends:
  smplayer-themes,
  smplayer-l10n
 Description: Complete front-end for MPlayer and mpv
@@ -46,7 +47,8 @@
  smplayer (>= ${source:Version}),
  ${misc:Depends}
 Replaces:
- smplayer (<< 0.5.62), smplayer-translations (<< 14.3.0)
+ smplayer (<< 0.5.62),
+ smplayer-translations (<< 14.3.0)
 Breaks:
  smplayer-translations (<< 14.3.0)
 Description: Complete front-end for MPlayer and mpv - translation files

=== debian/rules ===
--- 
+++ 
@@ -13,9 +13,8 @@
 endif
 
 export QT_SELECT=5
-
 QMAKE_OPTS = DEFINES+=NO_DEBUG_ON_CONSOLE DEFINES-=MPLAYER2_SUPPORT
-MAKE_OPTS  = PREFIX=/usr QMAKE=qmake LRELEASE=lrelease QMAKE_OPTS="$(QMAKE_OPTS)"
+MAKE_OPTS  = PREFIX=/usr QMAKE=$(QMAKE) LRELEASE=lrelease QMAKE_OPTS="$(QMAKE_OPTS)"
 
 %:
 	dh $@
@@ -46,13 +45,5 @@
 	$(RM) -f debian/tmp/usr/share/doc/smplayer/Release_notes.txt
 	$(RM) -f debian/tmp/usr/share/doc/smplayer/Copying_openssl.txt
 
-override_dh_install:
-	dh_install --fail-missing
-
-# Uncomment next two lines if building in Virtual Box
-#override_dh_shlibdeps:
-#	dh_shlibdeps -- -xvirtualbox-guest-x11 --ignore-missing-info
-
-# Disable following if you want dbgsym packages
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
+override_dh_missing:
+	dh_missing --fail-missing

=== debian/watch ===
version=3
opts=dversionmangle=s/\~ds0//,compression=xz,repack,repacksuffix=~ds0 \
https://sf.net/smplayer/smplayer-([0-9][^r]*)\.tar\.bz2

## smplayer 21.1.0~ds0

=== OBS/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # deb packages at build.opensuse.org
 
 PACKAGE = smplayer
-VERSION = 20.6.0
+VERSION = 21.1.0
 #DEPENDS = debhelper (>= 5), zlib1g-dev, qtbase5-dev, qt5-qmake, qtscript5-dev, qttools5-dev-tools, qt5-default, qtbase5-private-dev
 DEPENDS = debhelper (>= 5), zlib1g-dev, libqt4-dev
